AviatoAviato
DeveloperAPI ReferenceSearch

/api/search

GET
/api/search

Query Parameters

q*string

Search query

Length1 <= length
limit?integer

Max items to return

Range0 < value
includeHidden?|

Include results from hidden libraries and hidden entities. Honored only when the server has an active Aviato Afterburner license.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/search?q=string"
{
  "query": "string",
  "items": [
    {
      "id": "string",
      "libraryId": "string",
      "title": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "certification": "string",
      "status": "active",
      "addedAt": "string",
      "updatedAt": "string",
      "files": [
        {
          "id": "string",
          "libraryId": "string",
          "uri": "string",
          "filename": "string",
          "extension": "string",
          "fileInfo": {
            "property1": null,
            "property2": null
          },
          "mimeType": "string",
          "type": "media",
          "classification": "string",
          "itemId": "string",
          "status": "active",
          "edition": "string",
          "partNumber": 0,
          "size": 0,
          "duration": 0,
          "createdAt": "string",
          "updatedAt": "string",
          "assets": {
            "property1": "string",
            "property2": "string"
          },
          "assetAspects": {
            "property1": "string",
            "property2": "string"
          },
          "mediaKind": "video",
          "chapters": [
            {
              "id": "string",
              "fileId": "string",
              "startTime": 0,
              "endTime": 0,
              "role": "intro",
              "title": "string",
              "source": "string",
              "metadata": {
                "property1": null,
                "property2": null
              },
              "createdAt": "string",
              "updatedAt": "string",
              "assets": {
                "property1": "string",
                "property2": "string"
              }
            }
          ]
        }
      ],
      "assets": {
        "property1": "string",
        "property2": "string"
      },
      "assetAspects": {
        "property1": "string",
        "property2": "string"
      },
      "linkedEntities": [
        {
          "id": "string",
          "type": "string",
          "name": "string",
          "role": "string",
          "sortOrder": 0,
          "linkMetadata": {
            "property1": null,
            "property2": null
          },
          "assets": {
            "property1": "string",
            "property2": "string"
          },
          "assetAspects": {
            "property1": "string",
            "property2": "string"
          }
        }
      ],
      "playback": {
        "completed": true,
        "position": 0,
        "duration": 0
      },
      "libraryName": "string",
      "confidence": 0
    }
  ],
  "itemsTotal": 0,
  "entities": [
    {
      "id": "string",
      "type": "string",
      "name": "string",
      "status": "pending",
      "sourcePluginId": "string",
      "searchTerms": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "assets": {
        "property1": "string",
        "property2": "string"
      },
      "assetAspects": {
        "property1": "string",
        "property2": "string"
      },
      "confidence": 0
    }
  ]
}
{
  "error": "string"
}